Bug 1029917 - dualhead & sceen lock = 2 password prompts, but none has focus -> impossible to unlock without mouse
dualhead & sceen lock = 2 password prompts, but none has focus -> impossible ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 09:19 EST by Michal Hlavinka
Modified: 2013-12-13 21:55 EST (History)
9 users (show)

See Also:
Fixed In Version: kde-workspace-4.11.3-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:55:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 311188 None None None Never

  None (edit)
Description Michal Hlavinka 2013-11-13 09:19:35 EST
Description of problem:
In dualhead setup, both screens have password prompt, but none of them has focus.
If it has focus, it's easy to lose it (for example by switching keyboard layout with alt-shift), but not possible to get focus back (alt-p for password prompt does not work). It is necessary to click in password prompt with mouse


Version-Release number of selected component (if applicable):
kde-workspace-4.11.3-1.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1.use two monitors
2.lock screen
3.

Actual results:
every screen has password prompt, but none of them has focus, it's not possible to enter password



Expected results:
password prompt should have focus

Additional info:
Comment 2 Fedora Update System 2013-11-23 19:44:59 EST
kde-workspace-4.11.3-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kde-workspace-4.11.3-4.fc20
Comment 3 Fedora Update System 2013-11-26 12:58:59 EST
Package kde-workspace-4.11.3-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kde-workspace-4.11.3-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22156/kde-workspace-4.11.3-5.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-12-13 21:55:49 EST
kde-workspace-4.11.3-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.